Get HIP User Details by ID
curl --request GET \
--url https://api.eka.care/cdr/v1/hipusers/{hip_user_id} \
--header 'auth: <auth>'import requests
url = "https://api.eka.care/cdr/v1/hipusers/{hip_user_id}"
headers = {"auth": "<auth>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {auth: '<auth>'}};
fetch('https://api.eka.care/cdr/v1/hipusers/{hip_user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"user": {
"id": "176338032692057",
"firstname": "Manoharan",
"lastname": "Mohan",
"mobile": "9840254450",
"email": "criticcaredr@gmail.com",
"is_admin": true,
"seat_type": "p",
"doctors": [
{
"id": "do1763380327031",
"firstname": "Manoharan",
"lastname": "Mohan"
}
],
"clinics": [
{
"id": "c-1506ace382e94bf5ba9751fb",
"name": "Manushree Hospital"
}
],
"partner_id": null
}
}{
"status": "error",
"message": "You do not have permission to access this HIP user"
}{
"error": {
"code": "NOT_FOUND",
"message": "User not found. Please check the provided ID."
}
}{
"status": "error",
"message": "An unexpected error occurred on the server"
}User APIs
Get HIP User Details by ID
This API retrieves detailed information about a specific HIP user registered under a business. The response includes the user’s personal details, assigned doctors, and associated clinics.
Use this API to get complete profile details of a single HIP user by their Eka user ID.
GET
/
cdr
/
v1
/
hipusers
/
{hip_user_id}
Get HIP User Details by ID
Headers
The authentication token for the business. It is used to verify the business making the request. The token can be fetched from the Auth API.
Path Parameters
The unique Eka Care ID of the HIP user.
Was this page helpful?
⌘I

